/safetyculture-assets | Type: Application | PCID required: Yes
Tools
safetyculture_assets_fields_service_create_field
Create an asset field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
name | string | No | — | Name of the field. |
select_options | object[] | No | — | Optional. The options of a field select. 100 limit enforced in typefield, but to lower the feedback loop, we enforce it here too. |
value_type | string | No | — | ValueType of the field. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"name": {
"type": "string",
"description": "Name of the field."
},
"select_options": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "The id of a field select option."
},
"label": {
"type": "string",
"description": "The label of a field select option."
}
}
},
"description": "Optional. The options of a field select. 100 limit enforced in typefield, but to lower the feedback loop, we enforce it here too."
},
"value_type": {
"type": "string",
"description": "ValueType of the field.",
"enum": [
"FIELD_VALUE_TYPE_UNSPECIFIED",
"FIELD_VALUE_TYPE_STRING",
"FIELD_VALUE_TYPE_MONEY",
"FIELD_VALUE_TYPE_TIMESTAMP",
"FIELD_VALUE_TYPE_SELECT"
]
}
},
"required": [
"PCID"
]
}
safetyculture_assets_fields_service_delete_field
Delete an asset field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Identifier of the field to be deleted. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Identifier of the field to be deleted."
}
},
"required": [
"PCID",
"id"
]
}
safetyculture_assets_fields_service_list_fields
List asset fields Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
search | string | No | — | Optional. Filter asset fields by this search term. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"search": {
"type": "string",
"description": "Optional. Filter asset fields by this search term."
}
},
"required": [
"PCID"
]
}
safetyculture_assets_fields_service_update_field
Update an asset field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | A global unique identifier for a field. |
field | object | No | — | Field which replaces the one with matching identifier on the server. |
update_mask | string | Yes | — | REQUIRED. The attributes (such as name etc.) you want to update for the field, specified in the parameters. For example, the update_mask=name parameter indicates that only the name will be updated in a request, any other attributes provided in your request body will be ignored. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "A global unique identifier for a field."
},
"field": {
"type": "object",
"description": "Field which replaces the one with matching identifier on the server.",
"properties": {
"name": {
"type": "string",
"description": "Name of the field."
},
"field_type": {
"type": "string",
"description": "Type of field.",
"enum": [
"FIELD_TYPE_UNSPECIFIED",
"FIELD_TYPE_PREDEFINED",
"FIELD_TYPE_CUSTOM"
]
},
"value_type": {
"type": "string",
"description": "Type of field value.",
"enum": [
"FIELD_VALUE_TYPE_UNSPECIFIED",
"FIELD_VALUE_TYPE_STRING",
"FIELD_VALUE_TYPE_MONEY",
"FIELD_VALUE_TYPE_TIMESTAMP",
"FIELD_VALUE_TYPE_SELECT"
]
},
"select_options": {
"type": "array",
"items": {
"type": "object"
},
"description": "The options of a field select. 100 limit enforced in typefield, but to lower the feedback loop, we enforce it here too."
}
}
},
"update_mask": {
"type": "string",
"description": "REQUIRED. The attributes (such as name etc.) you want to update for the field, specified in the parameters. For example, the update_mask=name parameter indicates that only the name will be updated in a request, any other attributes provided in your request body will be ignored."
}
},
"required": [
"PCID",
"id",
"update_mask"
]
}
safetyculture_assets_service_archive_asset
Archive an asset Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Identifier of asset to be archived. |
body | object | Yes | — | The parameters for ArchiveAsset |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Identifier of asset to be archived."
},
"body": {
"type": "object",
"description": "The parameters for `ArchiveAsset`"
}
},
"required": [
"PCID",
"id",
"body"
]
}
safetyculture_assets_service_create_asset
Create an asset Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | Customer specified identifier for the asset. Unique per org. |
fields | object[] | No | — | List of fields based on the type of asset. |
profile_image | object | No | — | An image to be set as profile image. The value of media_type must be MEDIA_TYPE_IMAGE. |
site | string | No | — | Unique ID of site to be associated with asset. |
type_id | string | Yes | — | Global unique identifier of the asset type. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "Customer specified identifier for the asset. Unique per org."
},
"fields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of an asset field."
},
"string_value": {
"type": "string",
"description": "The string value of an asset field. This attribute is only used for asset fields using the FIELD_VALUE_TYPE_STRING type."
},
"money_value": {
"type": "object",
"description": "The money value of an asset field. This attribute is only used for asset fields using the FIELD_VALUE_TYPE_MONEY type."
},
"timestamp_value": {
"type": "string",
"format": "date-time",
"description": "The timestamp value of an asset field. This attribute is only used for asset fields using the FIELD_VALUE_TYPE_TIMESTAMP type."
},
"field_id": {
"type": "string",
"description": "The unique identifier of an asset field. This ID is system-generated."
}
}
},
"description": "List of fields based on the type of asset."
},
"profile_image": {
"type": "object",
"description": "An image to be set as profile image. The value of `media_type` must be MEDIA_TYPE_IMAGE.",
"properties": {
"media_id": {
"type": "string",
"description": "ID of media."
},
"media_type": {
"type": "string",
"description": "Type of media specified by `media_id`. The only supported types are MEDIA_TYPE_IMAGE and MEDIA_TYPE_PDF.",
"enum": [
"MEDIA_TYPE_IMAGE",
"MEDIA_TYPE_VIDEO",
"MEDIA_TYPE_PDF",
"MEDIA_TYPE_DOCX",
"MEDIA_TYPE_XLSX"
]
},
"filename": {
"type": "string",
"description": "Full file name including extension."
}
}
},
"site": {
"type": "string",
"description": "Unique ID of site to be associated with asset."
},
"type_id": {
"type": "string",
"description": "Global unique identifier of the asset type."
}
},
"required": [
"PCID",
"code",
"type_id"
]
}
safetyculture_assets_service_delete_asset
Delete an asset Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Identifier of an asset to be deleted. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Identifier of an asset to be deleted."
}
},
"required": [
"PCID",
"id"
]
}
safetyculture_assets_service_get_asset
Get full detail information of an asset Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Identifier of asset to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Identifier of asset to retrieve."
}
},
"required": [
"PCID",
"id"
]
}
safetyculture_assets_service_get_asset_by_code
Get asset by code Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The user-defined unique ID of the asset to retrieve. This ID is user-generated. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The user-defined unique ID of the asset to retrieve. This ID is user-generated."
}
},
"required": [
"PCID",
"code"
]
}
safetyculture_assets_service_list_assets
List assets Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
asset_filters | object[] | No | — | OPTIONAL. The array of asset filters to apply in your request. You can apply multiple filters in a single request. |
order_by | object | No | — | OPTIONAL. The sorting order for the assets in the response. By default, assets are sorted by creation date from the most recent to the least recent. |
page_size | integer | No | — | OPTIONAL. The number of assets to return. By default, each request returns 50 assets. You can specify a page_size value between 1 to 100. |
page_token | string | No | — | OPTIONAL. The value of next_page_token from a previous response. If specified, the API will return the next batch of results following the previous list assets request. |
search | string | No | — | OPTIONAL. The key words to search for in your request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"asset_filters": {
"type": "array",
"items": {
"type": "object",
"properties": {
"site_id": {
"type": "string",
"description": "The unique identifier of the assigned site to filter by."
},
"state": {
"type": "string",
"enum": [
"ASSET_STATE_UNSPECIFIED",
"ASSET_STATE_ACTIVE",
"ASSET_STATE_ARCHIVED"
],
"description": "The asset state to filter by. Either active or archived."
},
"type_id": {
"type": "string",
"description": "The unique identifier of the asset type to filter by."
},
"asset_id": {
"type": "string",
"description": "The unique identifier of the asset to filter by."
},
"asset_code": {
"type": "string",
"description": "The user-defined unique identifier id of the asset to filter by."
},
"motion_status": {
"type": "string",
"enum": [
"LOCATION_MOTION_STATUS_UNSPECIFIED",
"LOCATION_MOTION_STATUS_PARKED",
"LOCATION_MOTION_STATUS_IDLING",
"LOCATION_MOTION_STATUS_MOVING",
"LOCATION_MOTION_STATUS_OFFLINE"
],
"description": "The motion status filter used for filtering connected assets"
},
"location_source": {
"type": "string",
"enum": [
"ASSET_LOCATION_SOURCE_UNSPECIFIED",
"ASSET_LOCATION_SOURCE_INSPECTION",
"ASSET_LOCATION_SOURCE_GEO",
"ASSET_LOCATION_SOURCE_MOBILE_DEVICE"
],
"description": "The location source filter used for filtering where the location was updated"
}
}
},
"description": "OPTIONAL. The array of asset filters to apply in your request. You can apply multiple filters in a single request."
},
"order_by": {
"type": "object",
"description": "OPTIONAL. The sorting order for the assets in the response. By default, assets are sorted by creation date from the most recent to the least recent.",
"properties": {
"sort_field": {
"type": "string",
"description": "The field to sort by.",
"enum": [
"SORT_FIELD_UNSPECIFIED",
"SORT_FIELD_CREATED_AT",
"SORT_FIELD_MODIFIED_AT",
"SORT_FIELD_CODE",
"SORT_FIELD_ASSET_FIELD",
"SORT_FIELD_INSPECTED_AT"
]
},
"sort_direction": {
"type": "string",
"description": "The order to sort by.",
"enum": [
"SORT_DIRECTION_UNSPECIFIED",
"SORT_DIRECTION_ASC",
"SORT_DIRECTION_DESC"
]
},
"field_id": {
"type": "string",
"description": "Field_id is required while sorting by an asset-field i.e., When SortField = SORT_FIELD_ASSET_FIELD."
}
}
},
"page_size": {
"type": "integer",
"description": "OPTIONAL. The number of assets to return. By default, each request returns 50 assets. You can specify a page_size value between 1 to 100."
},
"page_token": {
"type": "string",
"description": "OPTIONAL. The value of next_page_token from a previous response. If specified, the API will return the next batch of results following the previous list assets request."
},
"search": {
"type": "string",
"description": "OPTIONAL. The key words to search for in your request."
}
},
"required": [
"PCID"
]
}
safetyculture_assets_service_lookup_assets_by_field
Lookup assets by a field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
asset_filters | object[] | No | — | OPTIONAL. The array of asset filters to apply in your request. You can apply multiple filters in a single request. |
field_name | string | Yes | — | REQUIRED. The name of the asset field to match. |
order_by | object | No | — | OPTIONAL. The sorting order for the assets in the response. By default, assets are sorted by creation date from the most recent to the least recent. |
page_size | integer | No | — | OPTIONAL. The number of assets to return. By default, each request returns 50 assets. You can specify a page_size value between 1 to 100. |
page_token | string | No | — | OPTIONAL. The value of next_page_token from a previous response. If specified, the API will return the next batch of results following the previous list assets request. |
string_value | string | Yes | — | REQUIRED. The string value of the asset field to match. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"asset_filters": {
"type": "array",
"items": {
"type": "object",
"properties": {
"site_id": {
"type": "string",
"description": "The unique identifier of the assigned site to filter by."
},
"state": {
"type": "string",
"enum": [
"ASSET_STATE_UNSPECIFIED",
"ASSET_STATE_ACTIVE",
"ASSET_STATE_ARCHIVED"
],
"description": "The asset state to filter by. Either active or archived."
},
"type_id": {
"type": "string",
"description": "The unique identifier of the asset type to filter by."
},
"asset_id": {
"type": "string",
"description": "The unique identifier of the asset to filter by."
},
"asset_code": {
"type": "string",
"description": "The user-defined unique identifier id of the asset to filter by."
},
"motion_status": {
"type": "string",
"enum": [
"LOCATION_MOTION_STATUS_UNSPECIFIED",
"LOCATION_MOTION_STATUS_PARKED",
"LOCATION_MOTION_STATUS_IDLING",
"LOCATION_MOTION_STATUS_MOVING",
"LOCATION_MOTION_STATUS_OFFLINE"
],
"description": "The motion status filter used for filtering connected assets"
},
"location_source": {
"type": "string",
"enum": [
"ASSET_LOCATION_SOURCE_UNSPECIFIED",
"ASSET_LOCATION_SOURCE_INSPECTION",
"ASSET_LOCATION_SOURCE_GEO",
"ASSET_LOCATION_SOURCE_MOBILE_DEVICE"
],
"description": "The location source filter used for filtering where the location was updated"
}
}
},
"description": "OPTIONAL. The array of asset filters to apply in your request. You can apply multiple filters in a single request."
},
"field_name": {
"type": "string",
"description": "REQUIRED. The name of the asset field to match."
},
"order_by": {
"type": "object",
"description": "OPTIONAL. The sorting order for the assets in the response. By default, assets are sorted by creation date from the most recent to the least recent.",
"properties": {
"sort_field": {
"type": "string",
"description": "The field to sort by.",
"enum": [
"SORT_FIELD_UNSPECIFIED",
"SORT_FIELD_CREATED_AT",
"SORT_FIELD_MODIFIED_AT",
"SORT_FIELD_CODE",
"SORT_FIELD_ASSET_FIELD",
"SORT_FIELD_INSPECTED_AT"
]
},
"sort_direction": {
"type": "string",
"description": "The order to sort by.",
"enum": [
"SORT_DIRECTION_UNSPECIFIED",
"SORT_DIRECTION_ASC",
"SORT_DIRECTION_DESC"
]
},
"field_id": {
"type": "string",
"description": "Field_id is required while sorting by an asset-field i.e., When SortField = SORT_FIELD_ASSET_FIELD."
}
}
},
"page_size": {
"type": "integer",
"description": "OPTIONAL. The number of assets to return. By default, each request returns 50 assets. You can specify a page_size value between 1 to 100."
},
"page_token": {
"type": "string",
"description": "OPTIONAL. The value of next_page_token from a previous response. If specified, the API will return the next batch of results following the previous list assets request."
},
"string_value": {
"type": "string",
"description": "REQUIRED. The string value of the asset field to match."
}
},
"required": [
"PCID",
"field_name",
"string_value"
]
}
safetyculture_assets_service_restore_archived_asset
Restore an archived asset Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Identifier of an archived asset to be restored. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Identifier of an archived asset to be restored."
}
},
"required": [
"PCID",
"id"
]
}
safetyculture_assets_service_update_asset
Update an asset Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The unique identifier of an asset. This ID is system-generated. |
code | string | No | — | The user-defined unique identifier of an asset. This ID is user-generated. |
created_at | string | No | — | The date created timestamp of an asset. |
fields | object[] | No | — | The associated fields of an asset contained in an array. Each asset’s fields are based on its asset type. Please make sure the asset fields you use associated with the specified asset type. You can retrieve the associated fields using the list type and field association endpoint. |
inspected_at | string | No | — | The date last modified inspection of an asset. |
media | object[] | No | — | All the media directly uploaded to an asset. |
modified_at | string | No | — | The date last modified timetstamp of an asset. |
profile_image | object | No | — | The profile image for an asset. If an asset doesn’t have a profile picture, the API will return nil. |
site | object | No | — | The assigned site of an asset as object. If an asset is not assigned to a site, the API will return nil. |
sourced_from_external_system | boolean | No | — | @deprecated. Use GetAsset API to get the sourced_from_external_system Indicates if an asset is sourced from an external system. |
state | string | No | — | The indicator for whether an asset is active or archived. |
type | object | No | — | The asset type of an asset. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The unique identifier of an asset. This ID is system-generated."
},
"code": {
"type": "string",
"description": "The user-defined unique identifier of an asset. This ID is user-generated."
},
"created_at": {
"type": "string",
"description": "The date created timestamp of an asset."
},
"fields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of an asset field."
},
"string_value": {
"type": "string",
"description": "The string value of an asset field. This attribute is only used for asset fields using the FIELD_VALUE_TYPE_STRING type."
},
"money_value": {
"type": "object",
"description": "The money value of an asset field. This attribute is only used for asset fields using the FIELD_VALUE_TYPE_MONEY type."
},
"timestamp_value": {
"type": "string",
"format": "date-time",
"description": "The timestamp value of an asset field. This attribute is only used for asset fields using the FIELD_VALUE_TYPE_TIMESTAMP type."
},
"field_id": {
"type": "string",
"description": "The unique identifier of an asset field. This ID is system-generated."
}
}
},
"description": "The associated fields of an asset contained in an array. Each asset's fields are based on its asset type. Please make sure the asset fields you use associated with the specified asset type. You can retrieve the associated fields using the list type and field association endpoint."
},
"inspected_at": {
"type": "string",
"description": "The date last modified inspection of an asset."
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "The id value"
},
"token": {
"type": "string",
"description": "The token value"
},
"filename": {
"type": "string",
"description": "full file name, including file extension"
},
"media_type": {
"type": "string",
"enum": [
"MEDIA_TYPE_IMAGE",
"MEDIA_TYPE_VIDEO",
"MEDIA_TYPE_PDF",
"MEDIA_TYPE_DOCX",
"MEDIA_TYPE_XLSX"
],
"description": "- MEDIA_TYPE_IMAGE: An image file (GIF, JPG, PNG, WEBP). - MEDIA_TYPE_VIDEO: A video file (MP4, MOV). - MEDIA_TYPE_PDF: A PDF document. - MEDIA_TYPE_DOCX: A Microsoft Word document (DOCX, DOC). - MEDIA_TYPE_XLSX: A Microsoft Excel spreadsheet (XLSX, XLS)."
}
}
},
"description": "All the media directly uploaded to an asset."
},
"modified_at": {
"type": "string",
"description": "The date last modified timetstamp of an asset."
},
"profile_image": {
"type": "object",
"description": "The profile image for an asset. If an asset doesn't have a profile picture, the API will return nil.",
"properties": {
"id": {
"type": "string",
"description": "The id value"
},
"token": {
"type": "string",
"description": "The token value"
},
"filename": {
"type": "string",
"description": "full file name, including file extension"
},
"media_type": {
"type": "string",
"description": "- MEDIA_TYPE_IMAGE: An image file (GIF, JPG, PNG, WEBP). - MEDIA_TYPE_VIDEO: A video file (MP4, MOV). - MEDIA_TYPE_PDF: A PDF document. - MEDIA_TYPE_DOCX: A Microsoft Word document (DOCX, DOC). - MEDIA_TYPE_XLSX: A Microsoft Excel spreadsheet (XLSX, XLS).",
"enum": [
"MEDIA_TYPE_IMAGE",
"MEDIA_TYPE_VIDEO",
"MEDIA_TYPE_PDF",
"MEDIA_TYPE_DOCX",
"MEDIA_TYPE_XLSX"
]
}
}
},
"site": {
"type": "object",
"description": "The assigned site of an asset as object. If an asset is not assigned to a site, the API will return nil.",
"properties": {
"id": {
"type": "string",
"description": "The unique identifier of a site. This ID is system-generated."
},
"name": {
"type": "string",
"description": "The name of a site."
}
}
},
"sourced_from_external_system": {
"type": "boolean",
"description": "@deprecated. Use GetAsset API to get the sourced_from_external_system Indicates if an asset is sourced from an external system."
},
"state": {
"type": "string",
"description": "The indicator for whether an asset is active or archived.",
"enum": [
"ASSET_STATE_UNSPECIFIED",
"ASSET_STATE_ACTIVE",
"ASSET_STATE_ARCHIVED"
]
},
"type": {
"type": "object",
"description": "The asset type of an asset.",
"properties": {
"name": {
"type": "string",
"description": "Name of the type."
},
"type_id": {
"type": "string",
"description": "The global unique identifier of the type."
},
"type": {
"type": "string",
"description": "The categery of type, either predefined or custom",
"enum": [
"TYPE_CATEGORY_UNSPECIFIED",
"TYPE_CATEGORY_PREDEFINED",
"TYPE_CATEGORY_CUSTOM"
]
}
}
}
},
"required": [
"PCID",
"id"
]
}
safetyculture_assets_service_update_asset_location
Update asset location Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier of the asset. |
location | object | Yes | — | The geometry of the location. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier of the asset."
},
"location": {
"type": "object",
"description": "The geometry of the location.",
"properties": {
"geo_position": {
"type": "object",
"description": "The geometry of the location."
},
"address": {
"type": "string",
"description": "The address geocoded from the latitude/longitude. Defaults to empty value if not provided."
},
"last_updated_at": {
"type": "string",
"description": "Timestamp when the location was last updated."
},
"status": {
"type": "string",
"description": "Status of the location.",
"enum": [
"LOCATION_STATUS_UNSPECIFIED",
"LOCATION_STATUS_ONLINE",
"LOCATION_STATUS_OFFLINE"
]
},
"motion_status_updated_at": {
"type": "string",
"description": "Timestamp of when the motion status was updated"
}
},
"required": [
"geo_position",
"last_updated_at"
]
}
},
"required": [
"PCID",
"id",
"location"
]
}
safetyculture_assets_types_service_create_type
Create an asset type Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
name | string | Yes | — | REQUIRED. The name you want to set for the asset type. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"name": {
"type": "string",
"description": "REQUIRED. The name you want to set for the asset type."
}
},
"required": [
"PCID",
"name"
]
}
safetyculture_assets_types_service_get_type
Get an asset type Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Identifier of an asset type to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Identifier of an asset type to retrieve."
}
},
"required": [
"PCID",
"id"
]
}
safetyculture_assets_types_service_list_types
List asset types Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page_size | integer | No | — | OPTIONAL. The number of asset types to return. By default, each request returns 50 asset types. You can specify a page_size value between 1 to 100. |
page_token | string | No | — | OPTIONAL. The value of next_page_token from a previous response. If specified, the API will return the next batch of results following the previous list asset types request. |
search | string | No | — | OPTIONAL. The key words to search for in your request. |
type_filters | object[] | No | — | OPTIONAL. The array of asset type filters to apply in your request. You can apply multiple filters in a single request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page_size": {
"type": "integer",
"description": "OPTIONAL. The number of asset types to return. By default, each request returns 50 asset types. You can specify a page_size value between 1 to 100."
},
"page_token": {
"type": "string",
"description": "OPTIONAL. The value of next_page_token from a previous response. If specified, the API will return the next batch of results following the previous list asset types request."
},
"search": {
"type": "string",
"description": "OPTIONAL. The key words to search for in your request."
},
"type_filters": {
"type": "array",
"items": {
"type": "object",
"properties": {
"not": {
"type": "boolean",
"description": "Whether to include or exclude the specified value. `not=true` will exclude the filter value from the result set. Deprecated. Support for this field will be removed in future. Use inclusive filtering only."
},
"type_id": {
"type": "string",
"description": "Filter by asset type ID."
}
}
},
"description": "OPTIONAL. The array of asset type filters to apply in your request. You can apply multiple filters in a single request."
}
},
"required": [
"PCID"
]
}
safetyculture_assets_types_service_update_type
Update an asset type Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The global unique identifier of the type. |
type | object | No | — | Type which replaces the one with matching identifier on the server. |
update_mask | string | Yes | — | REQUIRED. The attributes (such as name etc.) you want to update for the type, specified in the parameters. For example, the update_mask=name parameter indicates that only the name will be updated in a request, any other attributes provided in your request body will be ignored. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The global unique identifier of the type."
},
"type": {
"type": "object",
"description": "Type which replaces the one with matching identifier on the server.",
"properties": {
"name": {
"type": "string",
"description": "Name of the type."
},
"type": {
"type": "string",
"description": "The categery of type, either predefined or custom",
"enum": [
"TYPE_CATEGORY_UNSPECIFIED",
"TYPE_CATEGORY_PREDEFINED",
"TYPE_CATEGORY_CUSTOM"
]
}
}
},
"update_mask": {
"type": "string",
"description": "REQUIRED. The attributes (such as name etc.) you want to update for the type, specified in the parameters. For example, the update_mask=name parameter indicates that only the name will be updated in a request, any other attributes provided in your request body will be ignored."
}
},
"required": [
"PCID",
"id",
"update_mask"
]
}

